package jalview.api;

import jalview.datamodel.Mapping;


public interface DBRefEntryI
{
  public boolean equalRef(DBRefEntryI entry);

  /**
   * 
   * @return Source DB name for this entry
   */
  public String getSource();

  /**
   * 
   * @return Accession Id for this entry
   */
  public String getAccessionId();

  /**
   * 
   * @param accessionId
   *          Accession Id for this entry
   */
  public void setAccessionId(String accessionId);

  /**
   * 
   * @param source
   *          Source DB name for this entry
   */
  public void setSource(String source);

  /**
   * 
   * @return Source DB version for this entry
   */
  public String getVersion();

  /**
   * 
   * @param version
   *          Source DB version for this entry
   */
  public void setVersion(String version);

  /**
   * 
   * @param startRes
   *          index of start residue in the source DB
   */
  public void setStartRes(int startRes);

  /**
   * 
   * @return index of start residue in the source DB
   */
  public int getStartRes();

  /**
   * 
   * @param endRes
   *          index of end residue in the source DB
   */
  public void setEndRes(int endRes);

  /**
   * 
   * @return index of end residue in the source DB
   */
  public int getEndRes();

  public Mapping getMap();
}
